/*
Theme Name: PBW
Theme URI: https://pbw.com.pl/
Author: belgrowa
Author URI: https://belgrowa.com/
Description: PBW – Twenty Twenty-Five Child WordPress Theme
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: twentytwentyfivechild
Template: twentytwentyfive
Tags: one-column, custom-colors, custom-menu, custom-logo, editor-style, featured-images, full-site-editing, block-patterns, rtl-language-support, sticky-post, threaded-comments, translation-ready, wide-blocks,
block-styles, style-variations, accessibility-ready, blog, portfolio, news

Twenty Twenty-Five Child WordPress Theme, (C) 2021 WordPress.org
Twenty Twenty-Five Child is distributed under the terms of the GNU GPL.
*/



*,
*:before,
*:after {
    box-sizing: border-box;
}

/*a {
    transition: all 0.3s ease-in-out;
}*/

ul li::marker,
ol li::marker {
    color: var(--wp--preset--color--accent-1) !important;
    font-weight: bold;
}

sup {
    line-height: 1;
}

/* html {
    scroll-behavior: smooth !important;

} */




/* Header Position Sticky */
header:has(>.is-position-sticky) {
	position: sticky;
	top: calc( 0px + var( --wp-admin--admin-bar--height, 0px ) );
	z-index: 100;
}

.glassmorphism {
    position: relative; /* Zapewnia punkt odniesienia dla tła */
    background: transparent !important; /* Usuwamy tło z głównego kontenera */
}

.glassmorphism::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;

    background-color: rgba(255, 255, 255, 0.8);
    backdrop-filter: saturate(180%) blur(20px);
    -webkit-backdrop-filter: saturate(180%) blur(20px);
}





/* Home Page Offer */

.offer {
    position: relative;
    transition: all 0.3s ease-in-out;
}

.offer a {
    text-decoration: none;
}

.offer a:focus {
    outline: none;
}

.offer a::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
}

.offer:has(a:hover) {
    background-color: var(--wp--preset--color--accent-1) !important;
    color: var(--wp--preset--color--base) !important;
    cursor: pointer;
}

.offer img {
    /*filter: invert(78%) sepia(13%) saturate(1212%) hue-rotate(49deg) brightness(92%) contrast(85%);*/
    /*filter: invert(26%) sepia(89%) saturate(417%) hue-rotate(125deg) brightness(92%) contrast(97%);*/
}

.offer:has(a:hover) img {
    /*filter: invert(1);*/
    filter: brightness(0) invert(1);
}

.offer-columns {
    flex-wrap: wrap !important;
}

.offer-columns .wp-block-column {
    flex-basis: calc(25% - 20px) !important; /* 25% minus marginesy */
        flex-grow: 0 !important;
        max-width: 25% !important;
}

/* Page Offer */
.wp-block-cover.offer-cover {
    background-color: var(--wp--preset--color--accent-1);
}

.wp-block-cover.offer-cover img.wp-block-cover__image-background {
    /*object-fit: none !important;*/

    /*object-fit: contain !important;
    object-position: right center !important;
    width: 100% !important;
    height: 100% !important;
    transform: translate(0, 0) !important;
    opacity: 0.2;*/

    /*object-fit: contain !important;
    object-position: right center !important;
    width: 100% !important;
    height: 240px !important;
    transform: translate(-30px, 30px) !important;
    opacity: 0.1;*/

    object-fit: contain !important;
    object-position: right center !important;
    width: 100% !important;
    height: 240px !important;
    top: 50% !important;
    right: 20px !important;
    left: auto !important;
    transform: translateY(-50%) !important;
    opacity: 0.1;
}

.wp-block-cover.offer-cover.img.wp-block-cover__image-background {
    height: 150px !important; /* Tutaj wpisz swoją wysokość */
    width: 100% !important;   /* Szerokość dopasuje się proporcjonalnie */

    /* 2. Wyłączenie domyślnego rozciągania */
    object-fit: contain !important;

    /* 3. Magia centrowania pionowego i poziomego */
    top: 50% !important;
    right: 5% !important;
    transform: translate(-50%, -50%) !important;

    /* 4. Resetowanie pozycji startowej WP */
    right: auto !important;
    bottom: auto !important;
    opacity: 0.2;
}


/* Home Page Contact Cover */
.contact-cover .wp-block-column svg {
    margin-block-start: 0.5em!important;
    margin-block-start: 0.125em!important;
}

.contact-cover a {
    text-decoration: none;
}

.contact-cover a:hover {
    text-decoration: underline;
}


/* Footer Custom Styles */
.max-content {
    min-width: max-content;
}

.no-wrap-text {
    white-space: nowrap;
    min-width: max-content; /* Dodatkowe ubezpieczenie */
}


/*.offer:hover {
    background-color: var(--wp--preset--color--accent-2)!important;
    color: var(--wp--preset--color--base)!important;
}*/



/* Alphabetical ordered list */
.lista-alfabetyczna {
    list-style-type: lower-alpha;
    /* Jeśli wolisz wielkie litery (A, B, C...), użyj: upper-alpha */
}

/* Alphabetical ordered list with bracket */
.lista-alfabetyczna-nawias {
    list-style-type: none; /* Wyłączamy domyślne kropki/litery */
    counter-reset: moja-lista; /* Inicjalizujemy licznik */
    margin-block-start: 1.2rem;
    padding-left: 1rem;
    margin: 0;
}

.lista-alfabetyczna-nawias li {
    counter-increment: moja-lista; /* Zwiększamy licznik o 1 przy każdym <li> */
    position: relative;
    display: inline-flex;
}

.lista-alfabetyczna-nawias li::before {
    /* Wyświetlamy licznik jako małe litery i dodajemy nawias */
    content: counter(moja-lista, lower-alpha) ") ";

    /* Opcjonalna stylizacja, aby litery ładnie wyglądały */
    margin-right: 0.25em;
    color: var(--wp--preset--color--accent-1) !important;
    font-weight: bold;
}

/* Decimal ordered list */
.lista-numeryczna {
    list-style-type: decimal;
}

/* Przetarg */
.przetarg h3 {
    margin-block-start: 4rem;
}




.min-width-100 {
    min-width: 100px;
}

.min-width-64 {
    min-width: 100px;
}



/* Yoast Breadcrumb */
.yoast-breadcrumbs {
    /*text-align: center;*/
}

.yoast-breadcrumbs span {
    padding: 0 0.25rem;
}

 .wp-block-navigation .wp-block-navigation-item.current-menu-item.wp-block-navigation-link a {
     text-decoration: underline;
}













.text-red {
    color: #d10000;
}

.display-block {
    display: block;
}

.big-title {
    /* font-size: clamp(3rem, 0.857rem + 5.714vw, 6rem)!important; */
    font-size: clamp(2.5rem, 0rem + 6.667vw, 6rem)!important;
}



/*
Animation on Start
*/
@keyframes fadeInAnimationOnLoad {
    0% {
        opacity: 0;
         /*transform: scale(0.8);*/
        /* transform: translateX(-200%); */
        /*transform: translatey(-50%);*/
    }

    33% {
        opacity: 0;
         /*transform: scale(0.8);*/
        /* transform: translateY(-200%); */
        /*transform: translatey(-50%);*/
    }

    100% {
        opacity: 1;
         /*transform: scale(1);*/
        /* transform: translateY(0); */
        /*transform: translatey(0);*/
    }
}

.fade-in-animation-on-load {
    animation: fadeInAnimationOnLoad ease 1s;
}


.break {
    display: block;
}


.trening .wp-block-cover__inner-container {
    height: 100%;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: flex-start;
}

.trening.is-position-top-center .wp-block-cover__inner-container {
    justify-content: flex-start;
}

.trening.is-position-bottom-center .wp-block-cover__inner-container {
    justify-content: flex-end;
}

.trening h2 {
    margin-left: 0!important;
    margin-right: 0!important;
    transition: transform .5s ease-in-out; /* Płynne przejście */
}

.trening a {
    text-decoration: none;
}

.trening a:after {
    display: block;
    position: absolute;
    left:0;
    top:0;
    width: 100%;
    height: 100%;
    content: "";
    z-index: 99;
}

.trening .has-contrast-background-color {
    /* background-color: var(--wp--preset--color--contrast) !important; */
    transition: background-color 0.5s ease-in-out;
}

.trening:hover .has-contrast-background-color {
    background-color: var(--wp--preset--color--accent-1) !important;
}

.trening .opis {
    max-height: 0; /* KLUCZOWE: Ukrywa akapit, działa lepiej niż stała wysokość */
    opacity: 0; /* Dodajemy dla efektu "pojawiania" */

    /* Transformacja do stworzenia wrażenia "wyjeżdżania" z dołu */
    /* transform: translateY(120%); */

    transition:
        max-height .5s ease-in-out,
        opacity 0.5s ease-in-out,
        transform 0.5s ease-in-out;
}

.trening:hover .opis {
    /* Po najechaniu ujawniamy treść akapitu */
    max-height: 500px; /* Wystarczająco duża wartość, aby pomieścić treść akapitu */
    opacity: 1;
    /* transform: translateY(0); */
}





.blog-scroll-horizontal {
    /* Ustawienie kontenera na wyświetlanie w poziomie */
    display: flex;
    flex-wrap: nowrap;

    /* KLUCZOWE: Umożliwienie przewijania w poziomie */
    overflow-x: scroll;

    /* Ukrycie paska przewijania (opcjonalne, dla lepszego UX) */
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}

/* Ukrycie paska przewijania dla Chrome, Safari, Opera */
.blog-scroll-horizontal::-webkit-scrollbar {
    display: none;
}

/* Upewnij się, że pojedynczy element ma stałą szerokość */
.blog-scroll-horizontal ul {
    flex: 0 0 auto; /* Zapobiega rozciąganiu i zmusza do przewijania */
    margin-right: 20px;
}

.blog-scroll-horizontal ul li {
    width: 300px; /* PRZYKŁAD: Ustaw stałą szerokość karty wpisu, aby wymusić przewijanie */
    margin-right: 20px;
}



/* Slogan */
p.slogan span {
    opacity: 0;
    /* Na początku wszystkie wyrazy są niewidoczne */
    transform: translateY(-20px) scale(0.5) !important;
    /* Przesunięcie wyrazów lekko w dół */
    animation: fadeInOut 0.6s forwards;
    /* Nazwa animacji, czas trwania, zachowanie po zakończeniu */
}

/* Definicja animacji */
@keyframes fadeInOut {
    to {
        opacity: 1;
        /* Wyrazy stają się widoczne */
        transform: translateY(0) scale(1);
        /* Wyrazy wracają do swojej pozycji */
    }
}

/* Ustawienie opóźnienia dla każdego wyrazu */
p.slogan span:nth-of-type(1) {
    animation-delay: 0.3s;
}

p.slogan span:nth-of-type(2) {
    animation-delay: 0.6s;
}

p.slogan span:nth-of-type(3) {
    animation-delay: 0.9s;
}

p.slogan span:nth-of-type(4) {
    animation-delay: 1.2s;
}

/* Marquee */
.marquee {
    display: flex;
    background-color: var(--wp--preset--color--accent-1);
    background-color: #ED1C24;
    /* background-color: var(--wp--preset--color--accent-4); */
    /* background-color: #F9316D; */
    /* background-color: #FFA02E; */
    overflow: hidden;
    user-select: none;
    gap: 4rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
    margin: 0;
}

.marquee-group {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    /* justify-content: space-between; */
    gap: 2rem;
    min-width: 100%;
    /* animation: scroll 45s linear infinite reverse; */
    animation: scroll 90s linear infinite;
    margin-right: 2rem;
}

.marquee-group span {
    color: var(--wp--preset--color--base);
    /* color: var(--wp--preset--color--accent-1); */
    font-size: 1.125rem;
    font-weight: 700;
    letter-spacing: 1px;
    white-space: nowrap;
    font-family: var(--wp--preset--font-family--inter);
    text-transform: uppercase;
}

@keyframes scroll {
    from {
        transform: translateX(0);
    }

    to {
        transform: translateX(calc(-100% - 2rem));
    }
}

/* Text */
.highlight {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    -webkit-box-decoration-break: clone;
    box-decoration-break: clone;
    background-color: rgb(147, 51, 234);
    border-radius: 0.375rem;
    display: inline;
}

.underline {
    text-decoration: underline;
    /* Włącza standardowe podkreślenie */
    text-decoration-thickness: 4px;
    /* Grubość linii, np. 3px */
    text-decoration-color: #ed1c24;
    text-decoration-color: var(--wp--preset--color--contrast);
    text-decoration-color: var(--wp--preset--color--accent-1);
    text-decoration-color: var(--wp--preset--color--accent-2);
    text-decoration-color: var(--wp--preset--color--accent-3);
    /* Kolor linii */
    text-underline-offset: 5px;
    /* Odstęp między tekstem a linią */
}

.underline-bold {
    /* To jest kluczowe, aby border-bottom był pod całym tekstem */
    display: inline-block;
    /* Element rozciąga się tylko na szerokość zawartości */
    /* Jeśli chcesz podkreślić cały blok (np. akapit), użyj display: block; */

    padding-bottom: 5px;
    /* Odstęp między tekstem a linią (dopasuj według uznania) */
    border-bottom: 3px solid var(--wp--preset--color--accent-3);
    /* Grubość linii (np. 3px, 4px), styl, kolor */
    /* Możesz też dodać: */
    /* font-weight: bold; */
    /* Jeśli chcesz, żeby sam tekst też był pogrubiony */
}
















@keyframes fadeInAnimation {
    0% {
        opacity: 0;
        /* transform: translateY(-100%); */
    }

    100% {
        opacity: 1;
        /* transform: translateY(0); */
    }
}

main.wp-block-group {
    margin-block-start: 0;
}

.wp-block-cover.home-cover {
    background: linear-gradient(to right,
            #FCDB42 0%,
            #FCDB42 50%,
            #FCE476 50%,
            #FCE476 100%);
    /* animation: fadeInAnimation ease 1.5s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards; */
}

/* .wp-block-cover.home-cover .wp-block-cover__image-background {
    animation: fadeInAnimation ease 1.5s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
} */

@media (min-width: 1280px) {
    .wp-block-cover.home-cover .wp-block-cover__image-background {
        object-fit: contain;
    }
}

.wp-block-cover.home-cover .wp-block-cover__inner-container {
    width: auto;
}

.wp-block-cover.home-cover .wp-block-cover__inner-container h1 {
    line-height: 1 !important;
}

.wp-block-cover.home-cover .wp-block-cover__inner-container p {
    margin: 0 !important;
}

.marker-blue li::marker {
    color: var(--wp--preset--color--accent-3);
    /* font-size: 1.25em; */
}

.radius-columns .wp-block-column {
    border-radius: 1rem;
}



.cover-cover {
    background: linear-gradient(to bottom, #ffcb03 0%, #ffcb03 calc(100% - 70px), white calc(100% - 70px), white 100%);
}

/* .cover-cover .wp-block-cover__image-background {
    animation: fadeInAnimation ease 1.5s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
} */

.cover-cover .wp-block-cover__inner-container {
    width: auto;
    max-width: calc(100% - 2rem);
}

.cover-cover .wp-block-cover__inner-container h1 {
    line-height: 1 !important;
    animation: fadeInAnimation ease 1s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
    /* font-size: clamp(3.037rem, 3.037rem + ((1vw - 0.2rem) * 4.938), 6rem) !important; */
    font-size: clamp(2.5rem, 5vw, 6rem) !important;
    font-size: clamp(2.5rem, 5vw + 1rem, 6rem) !important;
}

.cover-cover .wp-block-cover__inner-container p {
    margin: 0 !important;
    animation: fadeInAnimation ease 1s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
    opacity: 0;
    animation-delay: 0.5s;
}

/* Submenu */
.wp-block-navigation__submenu-container.wp-block-navigation-submenu {
    padding: 1rem;
    min-width: 300px !important;
}

/* Text Align */
.text-align-center {
    text-align: center;
}

@media (max-width: 781px) {
    .mobile-text-align-center {
        text-align: center;
    }
}

@media screen and (min-width: 782px) {
    .mobile-text-align-left {
        text-align: right;
    }
}



/* Archive Page – Post Image – Zoom on hover */
.wp-block-post-featured-image {
    overflow: hidden;
}

.wp-block-post-featured-image a img {
    transition: transform .5s;
}

.wp-block-post-featured-image:hover a img {
    transform: scale(1.125);
}



/* Underline on Hover */
.underline-on-hover a {
    text-decoration: none;
}

.underline-on-hover a:hover {
    text-decoration: underline;
}



/* Zoom on Hover */
.zoom-on-hover {
    overflow: hidden;
}

.zoom-on-hover a img {
    transition: transform .5s;
}

.zoom-on-hover:hover a img {
    transform: scale(1.125);
}

.gallery-zoom-on-hover figure {
    transition: transform .5s;
}

.gallery-zoom-on-hover figure:hover {
    transform: scale(1.125);
}



/* Border Radius for Covers*/
.border-radius {
    border-radius: 1rem !important;
}



/* Arrows */
.arrow-right-after a {
    position: relative;
    padding-right: 2rem;
}

.arrow-right-after a::after {
    content: "\2192";
    margin-left: 0.5rem;
    font-size: inherit;
    color: inherit;
}



/* .arrow-right-after a {
    position: relative;
    padding-right: 2rem;
    width: 100%;
}

.arrow-right-after a::after {
    content: "\2192";
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    font-size: inherit;
    color: inherit;
    color: var(--wp--preset--color--accent-2) !important;
    color: var(--wp--preset--color--accent-5) !important;
}

.arrow-right-after a:hover::after {
    color: var(--wp--preset--color--accent-2) !important;
} */



/* Domyślnie: 1 kolumna (telefon) */
.moje-kolumny {
    display: flex !important;
    flex-wrap: wrap !important;
    gap: 0.25rem;
    gap: 2rem;
}

/* Domyślnie: 1 kolumna (telefon) */
.moje-kolumny>.wp-block-column {
    flex: 0 0 100% !important;
    max-width: 100% !important;
}

/* Tablet: 2 kolumny */
@media (min-width: 782px) and (max-width: 1023px) {
    .moje-kolumny>.wp-block-column {
        flex: 0 0 calc(50% - 0.125rem) !important;
        max-width: calc(50% - 0.125rem) !important;
        flex: 0 0 calc(50% - 1rem) !important;
        max-width: calc(50% - 1rem) !important;
    }
}

/* Komputer: 3 kolumny */
@media (min-width: 1024px) {
    .moje-kolumny>.wp-block-column {
        flex: 0 0 calc(33.3333% - 0.1666rem) !important;
        max-width: calc(33.3333% - 0.1666rem) !important;
        flex: 0 0 calc(33.3333% - 1.3333rem) !important;
        max-width: calc(33.3333% - 1.3333rem) !important;
    }
}



/* Separator Borders */
@media (max-width: 781px) {
    .separator-border {
        border-left: 0;
        border-right: 0;
    }
}

@media (min-width: 782px) {
    .separator-border {
        border-top: 0;
        border-bottom: 0;
    }
}

/* Opcjonalnie: Dostosowanie dla małych ekranów (np. telefony) */
@media (max-width: 768px) {
    .kolumny-z-liniami>.block-editor-inner-blocks>.block-editor-block-list__layout>.wp-block-column:nth-child(2) {
        padding-left: 0;
        padding-right: 0;
    }

    .kolumny-z-liniami>.block-editor-inner-blocks>.block-editor-block-list__layout>.wp-block-column:nth-child(2)::before,
    .kolumny-z-liniami>.block-editor-inner-blocks>.block-editor-block-list__layout>.wp-block-column:nth-child(2)::after {
        display: none;
        /* Ukryj linie na małych ekranach */
    }
}



/* Footer */
.margin-left-auto {
    margin-left: auto !important;
}

.hover-underline a {
    text-decoration: none;
}

.hover-underline a:hover {
    text-decoration: underline;
}



/* Turn Rank Math FAQ Block to Accordion */
#rank-math-faq .rank-math-list-item {
    border-top: none;
    border-right: none;
    border-bottom: 1px solid;
    border-left: none;
    border-color: var(--wp--preset--color--contrast);
    border-color: var(--wp--preset--color--accent-3);
    margin-bottom: 0;
    background-color: var(--wp--preset--color--base);
}

#rank-math-faq .rank-math-list-item:first-child {
    border-top: 1px solid;
    border-color: var(--wp--preset--color--accent-3);
}

#rank-math-faq .rank-math-question {
    font-size: 14px;
    font-size: var(--wp--preset--font-size--large);
    font-size: var(--wp--preset--font-size--medium);
    font-weight: 700;
    letter-spacing: -0.1px;
    line-height: 1.125;

    margin: 0;
    padding: 1.25rem 3rem 1.25rem 1.25rem;
    cursor: pointer;
    position: relative;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    display: block
}

#rank-math-faq .rank-math-question:hover {
    background-color: var(--wp--preset--color--accent-4);
}

#rank-math-faq .rank-math-question.faq-q-open {
    background-color: var(--wp--preset--color--accent-4);
    border-bottom: 1px solid #d1dfee;
    border-color: var(--wp--preset--color--accent-3);
    /* border-color: var(--wp--preset--color--contrast); */
}

#rank-math-faq .rank-math-answer {
    margin: 0;
    padding: 0 1rem;
    background-color: #fff;

    font-size: var(--wp--preset--font-size--medium) !important;
    font-weight: 400 !important;
    letter-spacing: -0.1px;
    line-height: 1.6 !important;

    border-bottom: none;
    display: none;
}

/* Logo on hover */
.wp-block-site-logo img:hover {
    opacity: 0.85;
}

/* Shop URL in Main Menu */
.wp-block-navigation .wp-block-navigation-item.sklepfudobox {
    background-color: var(--wp--preset--color--accent-1) !important;
    color: var(--wp--preset--color--base) !important;
    padding: 0.5rem 1rem !important;
    border-radius: 0.25rem !important;
}

.wp-block-navigation .wp-block-navigation-item.sklepfudobox:hover {
    background-color: color-mix(in srgb, var(--wp--preset--color--accent-1) 85%, transparent) !important;
    /* background-color: #ED1C24 !important; */
    border-color: transparent;
    color: var(--wp--preset--color--base);
}

/* .wp-block-navigation .wp-block-navigation-item.sklepfudobox {
    padding: 0.5rem 1rem !important;
    border-radius: 0.25rem !important;
    border-width: 3px !important;
    border-style: solid;
    border-color: var(--wp--preset--color--accent-1) !important;
} */



/* ::after on image with link */
/* Kontener (link) musi mieć position: relative */
figure.see-more a {
    position: relative;
    display: block;
    /* Upewnij się, że link zachowuje się jak blok, aby pseudoelement był w jego obrębie */
}

/* Pseudoelement ::after dodany do linku */
figure.see-more a::after {
    content: 'Zobacz więcej \2192';
    position: absolute;
    top: 0;
    left: 0;
    /*top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);*/
    /* Centrowanie elementu */
    /* font-size: clamp(1.125rem, 1.125rem + ((1vw - 0.2rem) * 0.392), 1.375rem); */
    font-size: var(--wp--preset--font-size--small);
    font-weight: 850;
    line-height: 1;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: #FFFFFF;
    background-color: rgba(0, 0, 0, 0.3);
    padding: 0.5rem 1.25rem;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
    /* Płynne przejście */
    pointer-events: none;
    /* Zapobiega blokowaniu kliknięć na link */
    text-align: center;
    width: 100%;
    /* Rozciągnij na szerokość linku */
    height: 100%;
    /* Rozciągnij na wysokość linku */
    display: flex;
    /* Użyj flexbox do centrowania zawartości w pionie i poziomie */
    justify-content: center;
    align-items: center;
}

/* Stan po najechaniu na link */
figure a:hover::after {
    opacity: 1;
    /* Pojawienie się elementu */
}

/* Shortcode Google Map */
.google-map {
    /* filter: grayscale(100%); */
    /* background-color: #1297c0; */
    /* background-color: #183e6c; */
    /* background-blend-mode: screen; */
}

.google-map iframe {
    max-width: 100%;
    max-height: 600px;
    /* mix-blend-mode: multiply; */
    /* mix-blend-mode: screen; */
    /* mix-blend-mode: overlay; */
    /* mix-blend-mode: darken; */
    /* mix-blend-mode: color; */
}

/* Arrows */
.arrow-down-after a,
.arrow-right-after a {
    position: relative;
    padding-right: 2rem;
}

.arrow-down-after a::after {
    content: "\2193";
    margin-left: 0.5rem;
    font-size: inherit;
    color: inherit;
}

.arrow-right-after a::after {
    content: "\2192";
    margin-left: 0.5rem;
    font-size: inherit;
    color: inherit;
}



/* Excerpt More Link */
.wp-block-post-excerpt__more-link {
    color: var(--wp--preset--color--accent-1);
    font-size: var(--wp--preset--font-size--small);
    font-weight: 850;
    letter-spacing: 1px;
    text-transform: uppercase;
    text-decoration: none;
}

.wp-block-post-excerpt__more-link::after {
    content: " \2192";
    font-size: inherit;
    font-weight: inherit;
    color: inherit;
    color: var(--wp--preset--color--accent-1);
}

.wp-block-post-excerpt__more-link:hover,
.wp-block-post-excerpt__more-link:hover::after {
    /*color: var(--wp--preset--color--accent-2);*/
    text-decoration: underline;
    text-decoration-thickness: 1px;
}












.wp-block-table.grafik td, .wp-block-table th {
    padding: 1rem;
}

/* .grafik table thead  th {
    color: var(--wp--preset--color--accent-1) !important;
} */

.grafik table thead {
    border-bottom: 1px solid;
    /* border-color: var(--wp--preset--color--contrast) !important; */
    /* background: var(--wp--preset--color--accent-5) !important; */
    background: #ccc !important;
    /* background: #720008 !important; */
    /* color: var(--wp--preset--color--accent-1) !important; */
}

.grafik table thead tr th {
    /* background: var(--wp--preset--color--accent-5) !important;
    background: var(--wp--preset--color--contrast) !important;
    background: #ccc !important; */
    /* color: var(--wp--preset--color--base) !important; */
}

/* .grafik table thead tr th:first-child {
    width: 140px;
} */

.grafik table thead tr th:nth-child(2) {
    min-width: 140px;
}

.grafik table tbody tr:nth-child(4),
.grafik table tbody tr:nth-child(8),
.grafik table tbody tr:nth-child(12),
.grafik table tbody tr:nth-child(16),
.grafik table tbody tr:nth-child(20) {
    border-bottom: 3px solid;
}


.grafik-columns .wp-block-column {
    border-right: 1px solid #ccc !important;
}

.grafik-columns .wp-block-column:last-child {
    border-right: none !important;
}




/* Sprawia, że kontener obrazka i sam obrazek wypełniają 100% wysokości kolumny */
.fill-column-img,
.fill-column-img figure,
.fill-column-img img,
.fill-column-img a {
    height: 100% !important;
    width: 100% !important;
    display: block;
}

/* Kluczowe: obrazek nie traci proporcji, zachowuje się jak tło (crop) */
.fill-column-img img {
    object-fit: cover;
    object-position: center;
}



/* Dodajemy ROK do pętli z wpisami */
.wp-block-post {
    position: relative;
    list-style: none; /* Opcjonalnie usuwamy kropki */
}

/* Styl dla spana z rokiem */
.year-divider {
    position: absolute;
    top: -3rem;         /* Wypychamy go nad wpis */
    left: 0;
    font-size: 1.5rem;
    color: var(--wp--preset--color--accent-1);
    font-weight: 400;
    display: block;
    width: 100%;
    border-bottom: 1px solid var(--wp--preset--color--accent-1);
    border-bottom: 1px solid rgba(51,51,51,0.2);
    padding-bottom: 0.75rem;
}

/* Dodajemy margines do LI, które posiada rok,
   żeby rok nie nachodził na poprzedni wpis */
.wp-block-post:has(.year-divider) {
    margin-top: 6rem; /* Miejsce na nagłówek roku */
}

/* Pierwszy element na liście może wymagać dopasowania */
.wp-block-post-template > li:first-child:has(.year-divider) {
    margin-top: 3rem;
}
